## com.google.appengine.api.log
Class LogQueryResult

    java.lang.Object
      com.google.appengine.api.log.LogQueryResult

All Implemented Interfaces:
  java.lang.Iterable<RequestLogs>

    public final class LogQueryResult

extends java.lang.Object
implements java.lang.Iterable<RequestLogs>

An object that is the result of performing a LogService.fetch() operation. LogQueryResults contain the logs from the user's query. Users of this service should use the `iterator()` provided by this class to retrieve their results.

Method Summary
`java.util.Iterator<RequestLogs>` `iterator()` Returns an Iterator that will yield all of the logs the user has requested.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### iterator

    public java.util.Iterator<RequestLogs> iterator()

  Returns an Iterator that will yield all of the logs the user has requested. If the user has asked for more logs than a single request can accommodate (which is LogService.MAX_ITEMS_PER_FETCH), then this iterator grabs the first batch and returns them until they are exhausted. Once they are exhausted, a fetch() call is made to get more logs and the process is repeated until either all of the logs have been read or the user has stopped asking for more logs.

  Specified by:
    `iterator` in interface `java.lang.Iterable<RequestLogs>`
  Returns:
    An iterator that provides RequestLogs to the caller.